<div class="modal fade cls-save-address-modal" id="saveAddressModal" tabindex="-1" role="dialog" aria-labelledby="saveAddressModalLabel" aria-hidden="true">
    <div class="modal-dialog {#modal-lg#}" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="saveAddressModalLabel">{{ 'create.address.title'|trans({}, 'frontends') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row mb-3">
                    <div class="col">
                        <p class="h5 text-muted" id="saveAddressModalSubtitle">{{ 'create.address.text'|trans({}, 'frontends') }}</p>
                    </div>
                </div>

                <div id="form-invoice-data" data-url-validate="{{ url('api_validate_shipping_address_fields') }}" {#style="display: none;"#}>

                    <input type="hidden" id="htn-form-invoice-token" name="fid[invoice_token]" class="cls_fid_input" value="{{ csrf_token('validate_csfr_invoice_form') }}">
                    <input type="hidden" id="htn-form-invoice-id" name="fid[id]" class="cls_fid_input cls_field_to_0" value="0">

                    <div {#style="display: none;"#}><label for="general-invoice-form-errors"></label></div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="fid_first_name">
                                    <span>{{ 'first.name.label'|trans({}, 'frontends') }}</span> (*)
                                </label>
                                <input type="text" id="fid_first_name" class="form-control cls_fid_input cls_field_to_empty" name="fid[first_name]" data-id-error="fid_first_name" maxlength="255" pattern=".{2,}">
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-group">
                                <label for="fid_last_name">
                                    <span>{{ 'last.name.label'|trans({}, 'frontends') }}</span> (*)
                                </label>
                                <input type="text" id="fid_last_name" class="form-control cls_fid_input cls_field_to_empty" name="fid[last_name]" data-id-error="fid_last_name" maxlength="255" pattern=".{2,}">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="fid_company_name">
                                    <span>{{ 'company.name.label'|trans({}, 'frontends') }}</span>
                                </label>
                                <input type="text" id="fid_company_name" class="form-control cls_fid_input cls_field_to_empty" name="fid[company_name]" data-id-error="fid_company_name" maxlength="255">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="fid_company_address_info">
                                    <span>{{ 'company.address.info.label'|trans({}, 'frontends') }}</span>
                                </label>
                                <input type="text" id="fid_company_address_info" class="form-control cls_fid_input cls_field_to_empty" name="fid[company_address_info]" data-id-error="fid_company_address_info" maxlength="255">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="fid_street_address">
                                    <span>{{ 'address.line.1.label'|trans({}, 'frontends') }}</span> (*)
                                </label>
                                <input type="text" id="fid_street_address" class="form-control cls_fid_input cls_field_to_empty" name="fid[street_address]" data-id-error="fid_street_address" maxlength="255">
                                <small class="text-muted">{{ 'street.address.small.description'|trans({}, 'frontends') }}</small>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="fid_address_detail">
                                    <span>{{ 'address.line.2.label'|trans({}, 'frontends') }}</span> (*)
                                </label>
                                <input type="text" id="fid_address_detail" class="form-control cls_fid_input cls_field_to_empty" name="fid[address_detail]" data-id-error="fid_address_detail" maxlength="255">
                                <small class="text-muted">{{ 'address.detail.small.description'|trans({}, 'frontends') }}</small>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="fid_city">
                                    <span>{{ 'city.label'|trans({}, 'frontends') }}</span> (*)
                                </label>
                                <input type="text" id="fid_city" class="form-control cls_fid_input cls_field_to_empty" name="fid[city]" data-id-error="fid_city" maxlength="255" pattern=".{2,}">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="fid_state_province">
                                    <span>{{ 'state.province.region.label'|trans({}, 'frontends') }}</span> (*)
                                </label>
                                <input type="text" id="fid_state_province" class="form-control cls_fid_input cls_field_to_empty" name="fid[state_province]" data-id-error="fid_state_province" maxlength="255" pattern=".{2,}">
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-group">
                                <label for="fid_postal_code">
                                    <span>{{ 'postal.code.label'|trans({}, 'frontends') }}</span> (*)
                                </label>
                                <input type="text" id="fid_postal_code" class="form-control cls_fid_input cls_field_to_empty" name="fid[postal_code]" data-id-error="fid_postal_code" pattern="{5}">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="fid_country">
                                    <span>{{ 'country.label'|trans({}, 'frontends') }}</span> (*)
                                </label>
                                <select class="form-control cls_fid_input" id="fid_country" name="fid[country]" data-id-error="fid_country">
                                    {% if countries is defined and countries is not empty %}
                                        {% for country in countries %}
                                            <option value="{{ country.id }}" {{ country.code == user.countryCode ? 'selected' }}>{{ country.source }}</option>
                                        {% endfor %}
                                    {% endif %}
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="fid_email">
                                    <span>{{ 'email.label'|trans({}, 'frontends') }}</span> (*)
                                </label>
                                <input type="text" id="fid_email" class="form-control cls_fid_input cls_field_to_empty" name="fid[email]" data-id-error="fid_email" maxlength="255" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$">
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-group">
                                <label for="fid_phone">
                                    <span>{{ 'phone.label'|trans({}, 'frontends') }}</span>
                                </label>
                                <input type="text" id="fid_phone" class="form-control cls_fid_input cls_field_to_empty" name="fid[phone]" data-id-error="fid_phone" maxlength="20" pattern=".{4,}">
                            </div>
                        </div>
                    </div>

                </div>

                <div id="link-delete-address" class="text-danger cls-pointer-effect mt-3" style="display: none">
                    {{ 'delete.address.label'|trans({}, 'frontends') }}
                </div>

                <div class="row mt-3">
                    <div class="col text-right">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ 'cancel.label'|trans({}, 'frontends') }}</button>
                        <button type="button" class="btn btn-primary" id="btn-save-addresses" data-url-save="{{ url('api_save_shipping_address') }}">{{ 'save.and.add'|trans({}, 'frontends') }}</button>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>